ru.yandex.clickhouse.settings

## Enum ClickHouseQueryParam

- java.lang.Object
- - java.lang.Enum<ClickHouseQueryParam>
  - - ru.yandex.clickhouse.settings.ClickHouseQueryParam

All Implemented Interfaces:
  Serializable, Comparable<ClickHouseQueryParam>

    public enum ClickHouseQueryParam
    extends Enum<ClickHouseQueryParam>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`COMPRESS` whether to compress transfered data or not
`DATABASE` database name used by default
`EXTREMES` Whether to include extreme values.
`MAX_BLOCK_SIZE` https://clickhouse.yandex/reference_en.html#max_block_size
`MAX_EXECUTION_TIME` Maximum query execution time in seconds.
`MAX_PARALLEL_REPLICAS`
`MAX_ROWS_TO_GROUP_BY` Maximum number of unique keys received from aggregation.
`MAX_THREADS` The maximum number of query processing threads https://clickhouse.yandex/reference_en.html#max_threads
`PASSWORD` user password, by default null
`PRIORITY` The lower the value the bigger the priority.
`PROFILE` https://clickhouse.yandex/reference_en.html#Settings profiles
`QUOTA_KEY` quota is calculated for each quota_key value.
`TOTALS_MODE` How to calculate TOTALS when HAVING is present, as well as when max_rows_to_group_by and group_by_overflow_mode = 'any' are present.
`USER` user name, by default - default

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Class` `getClazz()`
`Object` `getDefaultValue()`
`String` `getKey()`
`String` `toString()`
`static ClickHouseQueryParam` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ClickHouseQueryParam[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MAX_PARALLEL_REPLICAS

    public static final ClickHouseQueryParam MAX_PARALLEL_REPLICAS

#### TOTALS_MODE

    public static final ClickHouseQueryParam TOTALS_MODE

How to calculate TOTALS when HAVING is present, as well as when max_rows_to_group_by and group_by_overflow_mode = 'any' are present. https://clickhouse.yandex/reference_en.html#WITH TOTALS modifier

#### QUOTA_KEY

    public static final ClickHouseQueryParam QUOTA_KEY

quota is calculated for each quota_key value. For example here may be some user name.

#### PRIORITY

    public static final ClickHouseQueryParam PRIORITY

The lower the value the bigger the priority.

#### DATABASE

    public static final ClickHouseQueryParam DATABASE

database name used by default

#### COMPRESS

    public static final ClickHouseQueryParam COMPRESS

whether to compress transfered data or not

#### EXTREMES

    public static final ClickHouseQueryParam EXTREMES

Whether to include extreme values. https://clickhouse.yandex/reference_en.html#Extreme values

#### MAX_THREADS

    public static final ClickHouseQueryParam MAX_THREADS

The maximum number of query processing threads https://clickhouse.yandex/reference_en.html#max_threads

#### MAX_EXECUTION_TIME

    public static final ClickHouseQueryParam MAX_EXECUTION_TIME

Maximum query execution time in seconds. https://clickhouse.yandex/reference_en.html#max_execution_time

#### MAX_BLOCK_SIZE

    public static final ClickHouseQueryParam MAX_BLOCK_SIZE

https://clickhouse.yandex/reference_en.html#max_block_size

#### MAX_ROWS_TO_GROUP_BY

    public static final ClickHouseQueryParam MAX_ROWS_TO_GROUP_BY

Maximum number of unique keys received from aggregation. This setting lets you limit memory consumption when aggregating. https://clickhouse.yandex/reference_en.html#max_rows_to_group_by

#### PROFILE

    public static final ClickHouseQueryParam PROFILE

https://clickhouse.yandex/reference_en.html#Settings profiles

#### USER

    public static final ClickHouseQueryParam USER

user name, by default - default

#### PASSWORD

    public static final ClickHouseQueryParam PASSWORD

user password, by default null

### Method Detail

#### values

    public static ClickHouseQueryParam[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ClickHouseQueryParam c : ClickHouseQueryParam.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ClickHouseQueryParam valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getKey

    public String getKey()

#### getDefaultValue

    public Object getDefaultValue()

#### getClazz

    public Class getClazz()

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<ClickHouseQueryParam>`